Pastebin launched a little side project called VERYVIRAL.com, check it out ;-) Want more features on Pastebin? Sign Up, it's FREE!
Guest

numpy install errors

By: a guest on May 12th, 2013  |  syntax: Python  |  size: 8.44 KB  |  views: 108  |  expires: Never
download  |  raw  |  embed  |  report abuse  |  print
Text below is selected. Please press Ctrl+C to copy to your clipboard. (⌘+C on Mac)
  1. ======================================================================
  2. ERROR: test_numeric.TestIsclose.test_ip_isclose_allclose([1e-08, 1, 1000020.0000000099], [0, nan, 1000000.0])
  3. ----------------------------------------------------------------------
  4. Traceback (most recent call last):
  5.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/nose-1.3.0-py3.3.egg/nose/case.py", line 198, in runTest
  6.     self.test(*self.arg)
  7.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/core/tests/test_numeric.py", line 1247, in tst_isclose_allclose
  8.     assert_array_equal(isclose(x, y).all(), allclose(x, y), msg % (x, y))
  9.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/core/numeric.py", line 2007, in allclose
  10.     return all(less_equal(abs(x-y), atol + rtol * abs(y)))
  11. RuntimeWarning: invalid value encountered in absolute
  12.  
  13. ======================================================================
  14. ERROR: test_numeric.TestIsclose.test_ip_isclose_allclose(nan, [nan, nan, nan])
  15. ----------------------------------------------------------------------
  16. Traceback (most recent call last):
  17.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/nose-1.3.0-py3.3.egg/nose/case.py", line 198, in runTest
  18.     self.test(*self.arg)
  19.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/core/tests/test_numeric.py", line 1247, in tst_isclose_allclose
  20.     assert_array_equal(isclose(x, y).all(), allclose(x, y), msg % (x, y))
  21.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/core/numeric.py", line 2007, in allclose
  22.     return all(less_equal(abs(x-y), atol + rtol * abs(y)))
  23. RuntimeWarning: invalid value encountered in absolute
  24.  
  25. ======================================================================
  26. FAIL: Test numpy dot with different order C, F
  27. ----------------------------------------------------------------------
  28. Traceback (most recent call last):
  29.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/nose-1.3.0-py3.3.egg/nose/case.py", line 198, in runTest
  30.     self.test(*self.arg)
  31.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/core/tests/test_blasdot.py", line 114, in test_dot_array_order
  32.     assert_almost_equal(a.dot(a), a.T.dot(a.T).T, decimal=30)
  33.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 457, in assert_almost_equal
  34.     return assert_array_almost_equal(actual, desired, decimal, err_msg)
  35.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 818, in assert_array_almost_equal
  36.     header=('Arrays are not almost equal to %d decimals' % decimal))
  37.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 651, in assert_array_compare
  38.     raise AssertionError(msg)
  39. AssertionError:
  40. Arrays are not almost equal to 30 decimals
  41.  
  42. (mismatch 12.0%)
  43.  x: array([[ 0.60970879,  1.69095552, -1.08851933, -1.82058012, -3.95746565,
  44.          1.52435601, -0.59853065, -3.72278595,  3.82375932,  5.51367044],
  45.        [-3.58154917, -2.06231236, -0.06567268,  1.47373438,  2.60687447,...
  46.  y: array([[ 0.60970879,  1.69095552, -1.08851933, -1.82058012, -3.95746565,
  47.          1.52435601, -0.59853065, -3.72278595,  3.82375932,  5.51366997],
  48.        [-3.58154917, -2.06231236, -0.06567268,  1.47373438,  2.60687447,...
  49.  
  50. ======================================================================
  51. FAIL: test_zero (test_gufuncs_linalg.TestDet)
  52. ----------------------------------------------------------------------
  53. Traceback (most recent call last):
  54.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 289, in assert_equal
  55.     assert_equal(actuali, desiredi)
  56.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 263, in assert_equal
  57.     return assert_array_equal(actual, desired, err_msg, verbose)
  58. AssertionError:
  59. Arrays are not equal
  60.  
  61. (mismatch 100.0%)
  62.  x: array(-1.36933813e-315)
  63.  y: array(0)
  64.  
  65. During handling of the above exception, another exception occurred:
  66.  
  67. Traceback (most recent call last):
  68.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/linalg/tests/test_gufuncs_linalg.py", line 324, in test_zero
  69.     assert_equal(gula.det(array([[0.0]], dtype=cdouble)), 0.0)
  70.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 291, in assert_equal
  71.     raise AssertionError(msg)
  72. AssertionError:
  73. Items are not equal:
  74.  ACTUAL: -1.3693381297449681e-315j
  75.  DESIRED: 0.0
  76.  
  77. ======================================================================
  78. FAIL: test_zero (test_linalg.TestDet)
  79. ----------------------------------------------------------------------
  80. Traceback (most recent call last):
  81.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 289, in assert_equal
  82.     assert_equal(actuali, desiredi)
  83.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 263, in assert_equal
  84.     return assert_array_equal(actual, desired, err_msg, verbose)
  85. AssertionError:
  86. Arrays are not equal
  87.  
  88. (mismatch 100.0%)
  89.  x: array(2.0000001253659465)
  90.  y: array(0)
  91.  
  92. During handling of the above exception, another exception occurred:
  93.  
  94. Traceback (most recent call last):
  95.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/linalg/tests/test_linalg.py", line 335, in test_zero
  96.     assert_equal(linalg.det([[0.0j]]), 0.0)
  97.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 291, in assert_equal
  98.     raise AssertionError(msg)
  99. AssertionError:
  100. Items are not equal:
  101.  ACTUAL: 2.0000001253659465j
  102.  DESIRED: 0.0
  103.  
  104. ======================================================================
  105. FAIL: test_mode_raw (test_linalg.TestQR)
  106. ----------------------------------------------------------------------
  107. Traceback (most recent call last):
  108.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/linalg/tests/test_linalg.py", line 680, in test_mode_raw
  109.     old_assert_almost_equal(h, h1, decimal=8)
  110.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 457, in assert_almost_equal
  111.     return assert_array_almost_equal(actual, desired, decimal, err_msg)
  112.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 818, in assert_array_almost_equal
  113.     header=('Arrays are not almost equal to %d decimals' % decimal))
  114.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 651, in assert_array_compare
  115.     raise AssertionError(msg)
  116. AssertionError:
  117. Arrays are not almost equal to 8 decimals
  118.  
  119. (mismatch 83.33333333333333%)
  120.  x: array([[ 5.91607978, -0.61024233, -1.01707056],
  121.        [ 7.43735744,  0.82807867, -3.21391305]])
  122.  y: array([[-5.91607978,  0.43377175,  0.72295291],
  123.        [-7.43735744,  0.82807867,  0.89262383]])
  124.  
  125. ======================================================================
  126. FAIL: test_linalg.test_xerbla
  127. ----------------------------------------------------------------------
  128. Traceback (most recent call last):
  129.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/nose-1.3.0-py3.3.egg/nose/case.py", line 198, in runTest
  130.     self.test(*self.arg)
  131.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/decorators.py", line 149, in skipper_func
  132.     return f(*args, **kwargs)
  133.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/linalg/tests/test_linalg.py", line 766, in test_xerbla
  134.     assert_(False)
  135.   File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/numpy/testing/utils.py", line 41, in assert_
  136.     raise AssertionError(msg)
  137. AssertionError
  138.  
  139. ----------------------------------------------------------------------
  140. Ran 4742 tests in 135.957s
  141.  
  142. FAILED (KNOWNFAIL=6, SKIP=39, errors=2, failures=5)
  143. <nose.result.TextTestResult run=4742 errors=2 failures=5>